"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = BullsEye;
var _reactNativeSvg = require("react-native-svg");
var _react = _interopRequireWildcard(require("react"));
var _dartboardContext = require("./dartboard-context");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const AnimatedCircle = _reactNativeReanimated.default.createAnimatedComponent(_reactNativeSvg.Circle);
function BullsEye() {
  const {
    outerRadius,
    outerBullHeight,
    innerBullHeight,
    highlightedScores,
    onPress
  } = (0, _react.useContext)(_dartboardContext.DartboardContext);
  const showInnerHighLight = highlightedScores.length && highlightedScores.find(score => score.value === 50);
  const showOuterHighLight = highlightedScores.length && highlightedScores.find(score => score.value === 25);
  const sv = (0, _reactNativeReanimated.useSharedValue)(5);
  (0, _react.useEffect)(() => {
    sv.value = (0, _reactNativeReanimated.withRepeat)((0, _reactNativeReanimated.withTiming)(sv.value === 5 ? 2 : 5, {
      duration: 1000
    }), -1, true);
  }, [sv]);
  const animatedInnerProps = (0, _reactNativeReanimated.useAnimatedProps)(() => {
    return {
      strokeWidth: showInnerHighLight ? sv.value : 0
    };
  });
  const animatedOuterProps = (0, _reactNativeReanimated.useAnimatedProps)(() => {
    return {
      strokeWidth: showOuterHighLight ? sv.value : 0
    };
  });
  return /*#__PURE__*/_react.default.createElement(_reactNativeSvg.G, null, /*#__PURE__*/_react.default.createElement(AnimatedCircle, {
    cx: outerRadius,
    cy: outerRadius,
    r: outerBullHeight + innerBullHeight,
    fill: "#00A000",
    opacity: !highlightedScores.length || showOuterHighLight ? 1 : 0.3,
    animatedProps: animatedOuterProps,
    stroke: "#FFFF00"
    /* @ts-expect-error - onClick is not typed but is required for web */,
    onClick: () => onPress({
      value: 25,
      modifier: 1
    }),
    onPress: () => onPress({
      value: 25,
      modifier: 1
    })
  }), /*#__PURE__*/_react.default.createElement(AnimatedCircle, {
    cx: outerRadius,
    cy: outerRadius,
    r: innerBullHeight,
    fill: "#FF0000",
    opacity: !highlightedScores.length || showInnerHighLight ? 1 : 0.3,
    animatedProps: animatedInnerProps,
    stroke: "#FFFF00"
    /* @ts-expect-error - onClick is not typed but is required for web */,
    onClick: () => onPress({
      value: 50,
      modifier: 1
    }),
    onPress: () => onPress({
      value: 50,
      modifier: 1
    })
  }));
}
//# sourceMappingURL=bullseye.js.map