"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SegmentSection;
var _reactNativeSvg = require("react-native-svg");
var _helpers = require("./helpers");
var _react = _interopRequireWildcard(require("react"));
var _dartboardContext = require("./dartboard-context");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const AnimatedPath = _reactNativeReanimated.default.createAnimatedComponent(_reactNativeSvg.Path);
function SegmentSection({
  startAngle,
  color,
  sectionInnerRadius,
  sectionOuterRadius,
  score,
  highlight
}) {
  const {
    outerRadius: centerXY,
    onPress,
    highlightedScores
  } = (0, _react.useContext)(_dartboardContext.DartboardContext);
  const outerSegmentPos1 = (0, _helpers.polarToCartesian)(centerXY, centerXY, sectionOuterRadius, startAngle);
  const outerSegmentPos2 = (0, _helpers.polarToCartesian)(centerXY, centerXY, sectionOuterRadius, startAngle + 18);
  const innerSegmentPos1 = (0, _helpers.polarToCartesian)(centerXY, centerXY, sectionInnerRadius, startAngle);
  const innerSegmentPos2 = (0, _helpers.polarToCartesian)(centerXY, centerXY, sectionInnerRadius, startAngle + 18);
  const showHighlights = highlightedScores.length && highlight;
  const sv = (0, _reactNativeReanimated.useSharedValue)(5);
  (0, _react.useEffect)(() => {
    sv.value = (0, _reactNativeReanimated.withRepeat)((0, _reactNativeReanimated.withTiming)(sv.value === 5 ? 2 : 5, {
      duration: 1000
    }), -1, true);
  }, [sv]);
  const animatedProps = (0, _reactNativeReanimated.useAnimatedProps)(() => {
    return {
      strokeWidth: showHighlights ? sv.value : 0
    };
  });
  return /*#__PURE__*/_react.default.createElement(AnimatedPath, {
    d: `
          M ${outerSegmentPos2.x} ${outerSegmentPos2.y}
          A ${centerXY} ${centerXY} 0 0 0 ${outerSegmentPos1.x} ${outerSegmentPos1.y}
          L ${innerSegmentPos1.x} ${innerSegmentPos1.y}
          A ${centerXY} ${centerXY} 0 0 1 ${innerSegmentPos2.x} ${innerSegmentPos2.y}
          Z`,
    fill: color,
    fillOpacity: !highlightedScores.length || showHighlights ? 1 : 0.3
    /* @ts-expect-error - onClick is not typed but is required for web */,
    onClick: () => onPress(score),
    onPress: () => onPress(score),
    animatedProps: animatedProps,
    stroke: "#FFFF00",
    opacity: 1
  });
}
//# sourceMappingURL=segment-section.js.map