"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Segment;
var _reactNativeSvg = require("react-native-svg");
var _react = _interopRequireWildcard(require("react"));
var _dartboardContext = require("./dartboard-context");
var _segmentSection = _interopRequireDefault(require("./segment-section"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function Segment({
  startAngle,
  value,
  singleColor,
  multiColor
}) {
  const {
    innerRadius,
    doubleRadius,
    trebleRadius,
    trebleHeight,
    bullRadius,
    highlightedScores
  } = (0, _react.useContext)(_dartboardContext.DartboardContext);
  const highlightSingle = !!(highlightedScores.length && !!highlightedScores.find(score => score.value === value && score.modifier === 1));
  const highlightTreble = !!(highlightedScores.length && highlightedScores.find(score => score.value === value && score.modifier === 3));
  const highlightDouble = !!(highlightedScores.length && !!highlightedScores.find(score => score.value === value && score.modifier === 2));
  return /*#__PURE__*/_react.default.createElement(_reactNativeSvg.G, null, /*#__PURE__*/_react.default.createElement(_segmentSection.default, {
    startAngle: startAngle,
    color: singleColor,
    sectionInnerRadius: bullRadius,
    sectionOuterRadius: trebleRadius - trebleHeight,
    highlight: highlightSingle,
    score: {
      value: value,
      modifier: 1
    }
  }), /*#__PURE__*/_react.default.createElement(_segmentSection.default, {
    startAngle: startAngle,
    color: multiColor,
    sectionInnerRadius: trebleRadius - trebleHeight,
    sectionOuterRadius: trebleRadius,
    highlight: highlightTreble,
    score: {
      value: value,
      modifier: 3
    }
  }), /*#__PURE__*/_react.default.createElement(_segmentSection.default, {
    startAngle: startAngle,
    color: singleColor,
    sectionInnerRadius: trebleRadius,
    sectionOuterRadius: doubleRadius,
    highlight: highlightSingle,
    score: {
      value: value,
      modifier: 1
    }
  }), /*#__PURE__*/_react.default.createElement(_segmentSection.default, {
    startAngle: startAngle,
    color: multiColor,
    sectionInnerRadius: doubleRadius,
    sectionOuterRadius: innerRadius,
    highlight: highlightDouble,
    score: {
      value: value,
      modifier: 2
    }
  }));
}
//# sourceMappingURL=segment.js.map