import { polarToCartesian } from './helpers';
import { Text } from 'react-native-svg';
import { NUMBER_MAP } from './constants';
import React, { useContext } from 'react';
import { DartboardContext } from './dartboard-context';
export default function RingNumber({
  segmentIndex
}) {
  const {
    outerRadius,
    innerRadius
  } = useContext(DartboardContext);
  const position = polarToCartesian(outerRadius, outerRadius, outerRadius - (outerRadius - innerRadius) / 2, segmentIndex * 18);
  return /*#__PURE__*/React.createElement(Text, {
    x: position.x - outerRadius / 80,
    y: position.y + outerRadius / 24
  }, NUMBER_MAP[segmentIndex]);
}
//# sourceMappingURL=ring-number.js.map