import { G } from 'react-native-svg';
import React, { useContext } from 'react';
import { DartboardContext } from './dartboard-context';
import SegmentSection from './segment-section';
export default function Segment({
  startAngle,
  value,
  singleColor,
  multiColor
}) {
  const {
    innerRadius,
    doubleRadius,
    trebleRadius,
    trebleHeight,
    bullRadius,
    highlightedScores
  } = useContext(DartboardContext);
  const highlightSingle = !!(highlightedScores.length && !!highlightedScores.find(score => score.value === value && score.modifier === 1));
  const highlightTreble = !!(highlightedScores.length && highlightedScores.find(score => score.value === value && score.modifier === 3));
  const highlightDouble = !!(highlightedScores.length && !!highlightedScores.find(score => score.value === value && score.modifier === 2));
  return /*#__PURE__*/React.createElement(G, null, /*#__PURE__*/React.createElement(SegmentSection, {
    startAngle: startAngle,
    color: singleColor,
    sectionInnerRadius: bullRadius,
    sectionOuterRadius: trebleRadius - trebleHeight,
    highlight: highlightSingle,
    score: {
      value: value,
      modifier: 1
    }
  }), /*#__PURE__*/React.createElement(SegmentSection, {
    startAngle: startAngle,
    color: multiColor,
    sectionInnerRadius: trebleRadius - trebleHeight,
    sectionOuterRadius: trebleRadius,
    highlight: highlightTreble,
    score: {
      value: value,
      modifier: 3
    }
  }), /*#__PURE__*/React.createElement(SegmentSection, {
    startAngle: startAngle,
    color: singleColor,
    sectionInnerRadius: trebleRadius,
    sectionOuterRadius: doubleRadius,
    highlight: highlightSingle,
    score: {
      value: value,
      modifier: 1
    }
  }), /*#__PURE__*/React.createElement(SegmentSection, {
    startAngle: startAngle,
    color: multiColor,
    sectionInnerRadius: doubleRadius,
    sectionOuterRadius: innerRadius,
    highlight: highlightDouble,
    score: {
      value: value,
      modifier: 2
    }
  }));
}
//# sourceMappingURL=segment.js.map